Subject: Re: Problem with &quot;dashless options&quot;

From: Andreas Schwab <[email-masked]>
Date: Tue, 27 Apr 2010 23:28:28 +0200

Christopher Cameron <[email-masked]> writes:

> I encountered the exact same problem.  There are a sequence of
> #defines in parse_options.h which are supposed to initialize option
> structs (OPT_END, OPT_STRING, etc).  These structures only partially 
> initialize the structure, leading to, for instance, junk bits in the flags 
> word of OPT_STRING.

That's a bug in your compiler.  All parts of the struct that are not
explicitly initialized are supposed to be implicitly initialized to
zero.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."